Imports System
Imports System.Text
Imports System.Windows.Forms
Imports RootPro.RootProCAD

<CLSCompliant(False)> _
Public Class Form1

    Private app As RootProCADApplication

    Public Sub New(ByVal app As RootProCADApplication)
        Me.app = app

        InitializeComponent()
    End Sub

    ''' <summary>
    ''' tH[[hƂ̏
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks></remarks>
    Private Sub Form1_Load(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Load
        Dim appNode As TreeNode = eventTreeView.Nodes.Add("Application")
        appNode.Checked = True

        ' c[ Application NX̃Cxgǉ
        appNode.Nodes.Add("DocumentActivated")
        appNode.Nodes.Add("DocumentAfterSave")
        appNode.Nodes.Add("DocumentBeforeSave")
        appNode.Nodes.Add("DocumentOpened")
        appNode.Nodes.Add("DocumentClosed")
        appNode.Nodes.Add("CurrentLayerChanged")
        appNode.Nodes.Add("LayerAdded")
        appNode.Nodes.Add("LayerChanged")
        appNode.Nodes.Add("LayerDeleting")
        appNode.Nodes.Add("CurrentDrawingChanged")
        appNode.Nodes.Add("DrawingAdded")
        appNode.Nodes.Add("DrawingChanged")
        appNode.Nodes.Add("DrawingDeleting")
        appNode.Nodes.Add("LayoutAdded")
        appNode.Nodes.Add("LayoutChanged")
        appNode.Nodes.Add("LayoutDeleting")
        appNode.Nodes.Add("ColorsChanged")
        appNode.Nodes.Add("ColorItemChanged")
        appNode.Nodes.Add("LinetypesChanged")
        appNode.Nodes.Add("LinetypeItemAdded")
        appNode.Nodes.Add("LinetypeItemChanged")
        appNode.Nodes.Add("LinetypeItemDeleting")
        appNode.Nodes.Add("LinewidthsChanged")
        appNode.Nodes.Add("LinewidthItemChanged")
        appNode.Nodes.Add("ShapeSettingsChanged")
        appNode.Nodes.Add("ShapeSettingsStyleAdded")
        appNode.Nodes.Add("ShapeSettingsStyleChanged")
        appNode.Nodes.Add("ShapeSettingsStyleDeleting")
        appNode.Nodes.Add("CurrentShapeSettingsStyleChanged")
        appNode.Nodes.Add("MasterDrawComponentAdded")
        appNode.Nodes.Add("MasterDrawComponentDeleting")
        appNode.Nodes.Add("ShapeAdded")
        appNode.Nodes.Add("ShapeChanged")
        appNode.Nodes.Add("ShapeDelete")

        appNode.Nodes.Add("ApplicationQuit")

        For Each node As TreeNode In appNode.Nodes
            node.Checked = True
        Next node

        ' c[̃m[hׂĊJ
        eventTreeView.ExpandAll()
    End Sub

    ''' <summary>
    ''' RootPro CAD IƂɌĂ΂
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    Sub app_ApplicationQuit(ByVal sender As Object, ByVal e As EventArgs)
        ' eLXg{bNXɁACxgOǉ
        If Not eventTextBox.IsDisposed Then
            eventTextBox.AppendText("Application.ApplicationQuit : ")
        End If
    End Sub

    ''' <summary>
    ''' Jg}ύXꂽƂɌĂ΂
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    Sub app_CurrentDrawingChanged(ByVal sender As Object, ByVal e As CurrentDrawingChangedEventArgs)
        Dim sb As New StringBuilder()
        sb.Append("Application.CurrentDrawingChanged : ")
        If e.NewCurrentDrawing IsNot Nothing Then
            sb.Append(e.NewCurrentDrawing.Name)
        End If
        sb.AppendLine()

        ' eLXg{bNXɁACxgOǉ
        If Not eventTextBox.IsDisposed Then
            eventTextBox.AppendText(sb.ToString())
        End If
    End Sub

    ''' <summary>
    ''' }ǉꂽƂɌĂ΂
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    Sub app_DrawingAdded(ByVal sender As Object, ByVal e As DrawingEventArgs)
        Dim sb As New StringBuilder()
        sb.Append("Application.DrawingAdded : ")
        If e.Drawing IsNot Nothing Then
            sb.Append(e.Drawing.Name)
        End If
        sb.AppendLine()

        ' eLXg{bNXɁACxgOǉ
        If Not eventTextBox.IsDisposed Then
            eventTextBox.AppendText(sb.ToString())
        End If
    End Sub

    ''' <summary>
    ''' }ύXꂽƂɌĂ΂
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    Sub app_DrawingChanged(ByVal sender As Object, ByVal e As DrawingChangedEventArgs)
        Dim sb As New StringBuilder()
        sb.Append("Application.DrawingChanged : ")
        If e.Drawing IsNot Nothing Then
            sb.Append(e.Drawing.Name)
        End If
        sb.AppendLine()

        ' eLXg{bNXɁACxgOǉ
        If Not eventTextBox.IsDisposed Then
            eventTextBox.AppendText(sb.ToString())
        End If
    End Sub

    ''' <summary>
    ''' }폜ƂɌĂ΂
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    Sub app_DrawingDeleting(ByVal sender As Object, ByVal e As DrawingDeletingEventArgs)
        Dim sb As New StringBuilder()
        sb.Append("Application.DrawingDeleting : ")
        If e.Drawing IsNot Nothing Then
            sb.Append(e.Drawing.Name)
        End If
        sb.AppendLine()

        ' eLXg{bNXɁACxgOǉ
        If Not eventTextBox.IsDisposed Then
            eventTextBox.AppendText(sb.ToString())
        End If
    End Sub

    ''' <summary>
    ''' CAEgǉꂽƂɌĂ΂
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    Sub app_LayoutAdded(ByVal sender As Object, ByVal e As RootPro.RootProCAD.LayoutEventArgs)
        Dim sb As New StringBuilder()
        sb.Append("Application.LayoutAdded : ")
        If e.Layout IsNot Nothing Then
            sb.Append(e.Layout.Name)
        End If
        sb.AppendLine()

        ' eLXg{bNXɁACxgOǉ
        If Not eventTextBox.IsDisposed Then
            eventTextBox.AppendText(sb.ToString())
        End If
    End Sub

    ''' <summary>
    ''' CAEgύXꂽƂɌĂ΂
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    Sub app_LayoutChanged(ByVal sender As Object, ByVal e As LayoutChangedEventArgs)
        Dim sb As New StringBuilder()
        sb.Append("Application.LayoutChanged : ")
        If e.Layout IsNot Nothing Then
            sb.Append(e.Layout.Name)
        End If
        sb.AppendLine()

        ' eLXg{bNXɁACxgOǉ
        If Not eventTextBox.IsDisposed Then
            eventTextBox.AppendText(sb.ToString())
        End If
    End Sub

    ''' <summary>
    ''' CAEg폜ƂɌĂ΂
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    Sub app_LayoutDeleting(ByVal sender As Object, ByVal e As LayoutDeletingEventArgs)
        Dim sb As New StringBuilder()
        sb.Append("Application.LayoutDeleting : ")
        If e.Layout IsNot Nothing Then
            sb.Append(e.Layout.Name)
        End If
        sb.AppendLine()

        ' eLXg{bNXɁACxgOǉ
        If Not eventTextBox.IsDisposed Then
            eventTextBox.AppendText(sb.ToString())
        End If
    End Sub

    ''' <summary>
    ''' JgCύXꂽƂɌĂ΂
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    Sub app_CurrentLayerChanged(ByVal sender As Object, ByVal e As CurrentLayerChangedEventArgs)
        Dim sb As New StringBuilder()
        sb.Append("Application.CurrentLayerChanged : ")
        If e.NewCurrentLayer IsNot Nothing Then
            sb.Append(e.NewCurrentLayer.Name)
        End If
        sb.AppendLine()

        ' eLXg{bNXɁACxgOǉ
        If Not eventTextBox.IsDisposed Then
            eventTextBox.AppendText(sb.ToString())
        End If
    End Sub

    ''' <summary>
    ''' CǉꂽƂɌĂ΂
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    Sub app_LayerAdded(ByVal sender As Object, ByVal e As LayerEventArgs)
        Dim sb As New StringBuilder()
        sb.Append("Application.LayerAdded : ")
        If e.Layer IsNot Nothing Then
            sb.Append(e.Layer.Name)
        End If
        sb.AppendLine()

        ' eLXg{bNXɁACxgOǉ
        If Not eventTextBox.IsDisposed Then
            eventTextBox.AppendText(sb.ToString())
        End If
    End Sub

    ''' <summary>
    ''' CύXꂽƂɌĂ΂
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    Sub app_LayerChanged(ByVal sender As Object, ByVal e As LayerChangedEventArgs)
        Dim sb As New StringBuilder()
        sb.Append("Application.LayerChanged : ")
        If e.Layer IsNot Nothing Then
            sb.Append(e.Layer.Name)
        End If
        sb.AppendLine()

        ' eLXg{bNXɁACxgOǉ
        If Not eventTextBox.IsDisposed Then
            eventTextBox.AppendText(sb.ToString())
        End If
    End Sub

    ''' <summary>
    ''' C폜ƂɌĂ΂
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    Sub app_LayerDeleting(ByVal sender As Object, ByVal e As LayerDeletingEventArgs)
        Dim sb As New StringBuilder()
        sb.Append("Application.LayerDeleting : ")
        If e.Layer IsNot Nothing Then
            sb.Append(e.Layer.Name)
        End If
        sb.AppendLine()

        ' eLXg{bNXɁACxgOǉ
        If Not eventTextBox.IsDisposed Then
            eventTextBox.AppendText(sb.ToString())
        End If
    End Sub

    ''' <summary>
    ''' Fݒ肪ύXꂽƂɌĂ΂
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    Sub app_ColorsChanged(ByVal sender As Object, ByVal e As ColorsChangedEventArgs)
        Dim sb As New StringBuilder()
        sb.Append("Application.ColorsChanged : ")
        sb.AppendLine()

        ' eLXg{bNXɁACxgOǉ
        If Not eventTextBox.IsDisposed Then
            eventTextBox.AppendText(sb.ToString())
        End If
    End Sub

    ''' <summary>
    ''' FύXꂽƂɌĂ΂
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    Sub app_ColorItemChanged(ByVal sender As Object, ByVal e As ColorItemEventArgs)
        Dim sb As New StringBuilder()
        sb.Append("Application.ColorItemChanged : ")
        If e.Color IsNot Nothing Then
            sb.Append(e.Color.Number.ToString())
        End If
        sb.AppendLine()

        ' eLXg{bNXɁACxgOǉ
        If Not eventTextBox.IsDisposed Then
            eventTextBox.AppendText(sb.ToString())
        End If
    End Sub

    ''' <summary>
    ''' ݒ肪ύXꂽƂɌĂ΂
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    Sub app_LinetypesChanged(ByVal sender As Object, ByVal e As LinetypesChangedEventArgs)
        Dim sb As New StringBuilder()
        sb.Append("Application.LinetypesChanged : ")
        sb.AppendLine()

        ' eLXg{bNXɁACxgOǉ
        If Not eventTextBox.IsDisposed Then
            eventTextBox.AppendText(sb.ToString())
        End If
    End Sub

    ''' <summary>
    ''' 킪ǉꂽƂɌĂ΂
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    Sub app_LinetypeItemAdded(ByVal sender As Object, ByVal e As LinetypeItemEventArgs)
        Dim sb As New StringBuilder()
        sb.Append("Application.LinetypeItemAdded : ")
        If e.Linetype IsNot Nothing Then
            sb.Append(e.Linetype.Number.ToString())
        End If
        sb.AppendLine()

        ' eLXg{bNXɁACxgOǉ
        If Not eventTextBox.IsDisposed Then
            eventTextBox.AppendText(sb.ToString())
        End If
    End Sub

    ''' <summary>
    ''' 킪ύXꂽƂɌĂ΂
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    Sub app_LinetypeItemChanged(ByVal sender As Object, ByVal e As LinetypeItemEventArgs)
        Dim sb As New StringBuilder()
        sb.Append("Application.LinetypeItemChanged : ")
        If e.Linetype IsNot Nothing Then
            sb.Append(e.Linetype.Number.ToString())
        End If
        sb.AppendLine()

        ' eLXg{bNXɁACxgOǉ
        If Not eventTextBox.IsDisposed Then
            eventTextBox.AppendText(sb.ToString())
        End If
    End Sub

    ''' <summary>
    ''' 킪폜ƂɌĂ΂
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    Sub app_LinetypeItemDeleting(ByVal sender As Object, ByVal e As LinetypeItemDeletingEventArgs)
        Dim sb As New StringBuilder()
        sb.Append("Application.LinetypeItemDeleting : ")
        If e.Linetype IsNot Nothing Then
            sb.Append(e.Linetype.Number.ToString())
        End If
        sb.AppendLine()

        ' eLXg{bNXɁACxgOǉ
        If Not eventTextBox.IsDisposed Then
            eventTextBox.AppendText(sb.ToString())
        End If
    End Sub

    ''' <summary>
    ''' ݒ肪ύXꂽƂɌĂ΂
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    Sub app_LinewidthsChanged(ByVal sender As Object, ByVal e As LinewidthsChangedEventArgs)
        Dim sb As New StringBuilder()
        sb.Append("Application.LinewidthsChanged : ")
        sb.AppendLine()

        ' eLXg{bNXɁACxgOǉ
        If Not eventTextBox.IsDisposed Then
            eventTextBox.AppendText(sb.ToString())
        End If
    End Sub

    ''' <summary>
    ''' ύXꂽƂɌĂ΂
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    Sub app_LinewidthItemChanged(ByVal sender As Object, ByVal e As LinewidthItemEventArgs)
        Dim sb As New StringBuilder()
        sb.Append("Application.LinewidthItemChanged : ")
        If e.Linewidth IsNot Nothing Then
            sb.Append(e.Linewidth.Number.ToString())
        End If
        sb.AppendLine()

        ' eLXg{bNXɁACxgOǉ
        If Not eventTextBox.IsDisposed Then
            eventTextBox.AppendText(sb.ToString())
        End If
    End Sub

    ''' <summary>
    ''' }`ݒ肪ύXꂽƂɌĂ΂
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    Sub app_ShapeSettingsChanged(ByVal sender As Object, ByVal e As ShapeSettingsEventArgs)
        Dim sb As New StringBuilder()
        sb.Append("Application.ShapeSettingsChanged : ")
        If e.Settings IsNot Nothing Then
            sb.Append(e.Settings.GetType().Name)
        End If
        sb.AppendLine()

        ' eLXg{bNXɁACxgOǉ
        If Not eventTextBox.IsDisposed Then
            eventTextBox.AppendText(sb.ToString())
        End If
    End Sub

    ''' <summary>
    ''' }`ݒX^CǉꂽƂɌĂ΂
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    Sub app_ShapeSettingsStyleAdded(ByVal sender As Object, ByVal e As ShapeSettingsStyleEventArgs)
        Dim sb As New StringBuilder()
        sb.Append("Application.ShapeSettingsStyleAdded : ")
        If e.Style IsNot Nothing Then
            sb.Append(e.Style.Name)
        End If
        sb.AppendLine()

        ' eLXg{bNXɁACxgOǉ
        If Not eventTextBox.IsDisposed Then
            eventTextBox.AppendText(sb.ToString())
        End If
    End Sub

    ''' <summary>
    ''' }`ݒX^CύXꂽƂɌĂ΂
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    Sub app_ShapeSettingsStyleChanged(ByVal sender As Object, ByVal e As ShapeSettingsStyleEventArgs)
        Dim sb As New StringBuilder()
        sb.Append("Application.ShapeSettingsStyleChanged : ")
        If e.Style IsNot Nothing Then
            sb.Append(e.Style.Name)
        End If
        sb.AppendLine()

        ' eLXg{bNXɁACxgOǉ
        If Not eventTextBox.IsDisposed Then
            eventTextBox.AppendText(sb.ToString())
        End If
    End Sub

    ''' <summary>
    ''' }`ݒX^C폜ƂɌĂ΂
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    Sub app_ShapeSettingsStyleDeleting(ByVal sender As Object, ByVal e As ShapeSettingsStyleDeletingEventArgs)
        Dim sb As New StringBuilder()
        sb.Append("Application.ShapeSettingsStyleDeleting : ")
        If e.Style IsNot Nothing Then
            sb.Append(e.Style.Name)
        End If
        sb.AppendLine()

        ' eLXg{bNXɁACxgOǉ
        If Not eventTextBox.IsDisposed Then
            eventTextBox.AppendText(sb.ToString())
        End If
    End Sub

    ''' <summary>
    ''' Jg̐}`ݒX^CύXꂽƂɌĂ΂
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    Sub app_CurrentShapeSettingsStyleChanged(ByVal sender As Object, ByVal e As ShapeSettingsStyleEventArgs)
        Dim sb As New StringBuilder()
        sb.Append("Application.CurrentShapeSettingsStyleChanged : ")
        If e.Style IsNot Nothing Then
            sb.Append(e.Style.Name)
        End If
        sb.AppendLine()

        ' eLXg{bNXɁACxgOǉ
        If Not eventTextBox.IsDisposed Then
            eventTextBox.AppendText(sb.ToString())
        End If
    End Sub

    ''' <summary>
    ''' }ʃt@CJꂽƂɌĂ΂
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    Sub app_DocumentOpened(ByVal sender As Object, ByVal e As DocumentEventArgs)
        Dim sb As New StringBuilder()
        sb.Append("Application.DocumentOpened : ")
        If e.Document IsNot Nothing Then
            sb.Append(e.Document.Name)
        End If
        sb.AppendLine()

        ' eLXg{bNXɁACxgOǉ
        If Not eventTextBox.IsDisposed Then
            eventTextBox.AppendText(sb.ToString())
        End If
    End Sub

    ''' <summary>
    ''' }ʃt@CꂽƂɌĂ΂
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    Sub app_DocumentClosed(ByVal sender As Object, ByVal e As DocumentEventArgs)
        Dim sb As New StringBuilder()
        sb.Append("Application.DocumentClosed : ")
        If e.Document IsNot Nothing Then
            sb.Append(e.Document.Name)
        End If
        sb.AppendLine()

        ' eLXg{bNXɁACxgOǉ
        If Not eventTextBox.IsDisposed Then
            eventTextBox.AppendText(sb.ToString())
        End If
    End Sub

    ''' <summary>
    ''' }ʃt@CۑOɌĂ΂
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    Sub app_DocumentBeforeSave(ByVal sender As Object, ByVal e As DocumentBeforeSaveEventArgs)
        Dim sb As New StringBuilder()
        sb.Append("Application.DocumentBeforeSave : ")
        If e.Document IsNot Nothing Then
            sb.Append(e.Document.Name)
        End If
        sb.AppendLine()

        ' eLXg{bNXɁACxgOǉ
        If Not eventTextBox.IsDisposed Then
            eventTextBox.AppendText(sb.ToString())
        End If
        ' ۑmFbZ[W\
        Dim result As DialogResult = MessageBox.Show("}ʃt@Cۑ܂H", "ۑ̊mF", MessageBoxButtons.YesNo)
        If result = DialogResult.No Then
            ' ۑLZ
            e.Cancel = True
        End If
    End Sub


    ''' <summary>
    ''' }ʃt@CۑꂽɌĂ΂
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    Sub app_DocumentAfterSave(ByVal sender As Object, ByVal e As DocumentEventArgs)
        Dim sb As New StringBuilder()
        sb.Append("Application.DocumentAfterSave : ")
        If e.Document IsNot Nothing Then
            sb.Append(e.Document.Name)
        End If
        sb.AppendLine()

        ' eLXg{bNXɁACxgOǉ
        If Not eventTextBox.IsDisposed Then
            eventTextBox.AppendText(sb.ToString())
        End If
    End Sub

    ''' <summary>
    ''' ANeBuȐ}ʃt@CύXꂽƂɌĂ΂
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    Sub app_DocumentActivated(ByVal sender As Object, ByVal e As DocumentEventArgs)
        Dim sb As New StringBuilder()
        sb.Append("Application.DocumentActivated : ")
        If e.Document IsNot Nothing Then
            sb.Append(e.Document.Name)
        End If
        sb.AppendLine()

        ' eLXg{bNXɁACxgOǉ
        If Not eventTextBox.IsDisposed Then
            eventTextBox.AppendText(sb.ToString())
        End If
    End Sub

    ''' <summary>
    ''' }i̒`ǉꂽƂɌĂ΂
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    Sub app_MasterDrawComponentAdded(ByVal sender As Object, ByVal e As MasterDrawComponentEventArgs)
        Dim sb As New StringBuilder()
        sb.Append("Application.MasterDrawComponentAdded : ")
        If e.Master IsNot Nothing Then
            sb.Append(e.Master.Name)
        End If
        sb.AppendLine()

        ' eLXg{bNXɁACxgOǉ
        If Not eventTextBox.IsDisposed Then
            eventTextBox.AppendText(sb.ToString())
        End If
    End Sub

    ''' <summary>
    ''' }i̒`폜ƂɌĂ΂
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    Sub app_MasterDrawComponentDeleting(ByVal sender As Object, ByVal e As MasterDrawComponentDeletingEventArgs)
        Dim sb As New StringBuilder()
        sb.Append("Application.MasterDrawComponentDeleting : ")
        If e.Master IsNot Nothing Then
            sb.Append(e.Master.Name)
        End If
        sb.AppendLine()

        ' eLXg{bNXɁACxgOǉ
        If Not eventTextBox.IsDisposed Then
            eventTextBox.AppendText(sb.ToString())
        End If
    End Sub

    ''' <summary>
    ''' }`ǉꂽƂɌĂ΂
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    Sub app_ShapeAdded(ByVal sender As Object, ByVal e As ShapeEventArgs)
        Dim sb As New StringBuilder()
        sb.Append("Application.ShapeAdded : ")
        If e.Shape IsNot Nothing Then
            sb.Append(e.Shape.Number.ToString())
        End If
        sb.AppendLine()

        ' eLXg{bNXɁACxgOǉ
        If Not eventTextBox.IsDisposed Then
            eventTextBox.AppendText(sb.ToString())
        End If
    End Sub

    ''' <summary>
    ''' }`ύXꂽƂɌĂ΂
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    Sub app_ShapeChanged(ByVal sender As Object, ByVal e As ShapeEventArgs)
        Dim sb As New StringBuilder()
        sb.Append("Application.ShapeChanged : ")
        If e.Shape IsNot Nothing Then
            sb.Append(e.Shape.Number.ToString())
        End If
        sb.AppendLine()

        ' eLXg{bNXɁACxgOǉ
        If Not eventTextBox.IsDisposed Then
            eventTextBox.AppendText(sb.ToString())
        End If
    End Sub

    ''' <summary>
    ''' }`폜ƂɌĂ΂
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    Sub app_ShapeDelete(ByVal sender As Object, ByVal e As ShapeEventArgs)
        Dim sb As New StringBuilder()
        sb.Append("Application.ShapeDelete : ")
        If e.Shape IsNot Nothing Then
            sb.Append(e.Shape.Number.ToString())
        End If
        sb.AppendLine()

        ' eLXg{bNXɁACxgOǉ
        If Not eventTextBox.IsDisposed Then
            eventTextBox.AppendText(sb.ToString())
        End If
    End Sub

    ''' <summary>
    ''' c[̃`FbNύXꂽƂ̏
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    Private Sub eventTreeView_AfterCheck(ByVal sender As Object, ByVal e As TreeViewEventArgs) Handles eventTreeView.AfterCheck
        Dim eventName As String = e.Node.Text

        ' `FbNԂύXꂽCxgǉ܂͍폜
        If eventName = "Application" Then
            For Each node As TreeNode In e.Node.Nodes
                If node.Checked <> e.Node.Checked Then
                    node.Checked = e.Node.Checked
                End If
            Next node
        ElseIf eventName = "DocumentActivated" Then
            If e.Node.Checked Then
                AddHandler app.DocumentActivated, AddressOf app_DocumentActivated
            Else
                RemoveHandler app.DocumentActivated, AddressOf app_DocumentActivated
            End If
        ElseIf eventName = "DocumentAfterSave" Then
            If e.Node.Checked Then
                AddHandler app.DocumentAfterSave, AddressOf app_DocumentAfterSave
            Else
                RemoveHandler app.DocumentAfterSave, AddressOf app_DocumentAfterSave
            End If
        ElseIf eventName = "DocumentBeforeSave" Then
            If e.Node.Checked Then
                AddHandler app.DocumentBeforeSave, AddressOf app_DocumentBeforeSave
            Else
                RemoveHandler app.DocumentBeforeSave, AddressOf app_DocumentBeforeSave
            End If
        ElseIf eventName = "DocumentOpened" Then
            If e.Node.Checked Then
                AddHandler app.DocumentOpened, AddressOf app_DocumentOpened
            Else
                RemoveHandler app.DocumentOpened, AddressOf app_DocumentOpened
            End If
        ElseIf eventName = "DocumentClosed" Then
            If e.Node.Checked Then
                AddHandler app.DocumentClosed, AddressOf app_DocumentClosed
            Else
                RemoveHandler app.DocumentClosed, AddressOf app_DocumentClosed
            End If
        ElseIf eventName = "CurrentLayerChanged" Then
            If e.Node.Checked Then
                AddHandler app.CurrentLayerChanged, AddressOf app_CurrentLayerChanged
            Else
                RemoveHandler app.CurrentLayerChanged, AddressOf app_CurrentLayerChanged
            End If
        ElseIf eventName = "LayerAdded" Then
            If e.Node.Checked Then
                AddHandler app.LayerAdded, AddressOf app_LayerAdded
            Else
                RemoveHandler app.LayerAdded, AddressOf app_LayerAdded
            End If
        ElseIf eventName = "LayerChanged" Then
            If e.Node.Checked Then
                AddHandler app.LayerChanged, AddressOf app_LayerChanged
            Else
                RemoveHandler app.LayerChanged, AddressOf app_LayerChanged
            End If
        ElseIf eventName = "LayerDeleting" Then
            If e.Node.Checked Then
                AddHandler app.LayerDeleting, AddressOf app_LayerDeleting
            Else
                RemoveHandler app.LayerDeleting, AddressOf app_LayerDeleting
            End If
        ElseIf eventName = "CurrentDrawingChanged" Then
            If e.Node.Checked Then
                AddHandler app.CurrentDrawingChanged, AddressOf app_CurrentDrawingChanged
            Else
                RemoveHandler app.CurrentDrawingChanged, AddressOf app_CurrentDrawingChanged
            End If
        ElseIf eventName = "DrawingAdded" Then
            If e.Node.Checked Then
                AddHandler app.DrawingAdded, AddressOf app_DrawingAdded
            Else
                RemoveHandler app.DrawingAdded, AddressOf app_DrawingAdded
            End If
        ElseIf eventName = "DrawingChanged" Then
            If e.Node.Checked Then
                AddHandler app.DrawingChanged, AddressOf app_DrawingChanged
            Else
                RemoveHandler app.DrawingChanged, AddressOf app_DrawingChanged
            End If
        ElseIf eventName = "DrawingDeleting" Then
            If e.Node.Checked Then
                AddHandler app.DrawingDeleting, AddressOf app_DrawingDeleting
            Else
                RemoveHandler app.DrawingDeleting, AddressOf app_DrawingDeleting
            End If

        ElseIf eventName = "LayoutAdded" Then
            If e.Node.Checked Then
                AddHandler app.LayoutAdded, AddressOf app_LayoutAdded
            Else
                RemoveHandler app.LayoutAdded, AddressOf app_LayoutAdded
            End If
        ElseIf eventName = "LayoutChanged" Then
            If e.Node.Checked Then
                AddHandler app.LayoutChanged, AddressOf app_LayoutChanged
            Else
                RemoveHandler app.LayoutChanged, AddressOf app_LayoutChanged
            End If
        ElseIf eventName = "LayoutDeleting" Then
            If e.Node.Checked Then
                AddHandler app.LayoutDeleting, AddressOf app_LayoutDeleting
            Else
                RemoveHandler app.LayoutDeleting, AddressOf app_LayoutDeleting
            End If
        ElseIf eventName = "ColorsChanged" Then
            If e.Node.Checked Then
                AddHandler app.ColorsChanged, AddressOf app_ColorsChanged
            Else
                RemoveHandler app.ColorsChanged, AddressOf app_ColorsChanged
            End If
        ElseIf eventName = "ColorItemChanged" Then
            If e.Node.Checked Then
                AddHandler app.ColorItemChanged, AddressOf app_ColorItemChanged
            Else
                RemoveHandler app.ColorItemChanged, AddressOf app_ColorItemChanged
            End If
        ElseIf eventName = "LinetypesChanged" Then
            If e.Node.Checked Then
                AddHandler app.LinetypesChanged, AddressOf app_LinetypesChanged
            Else
                RemoveHandler app.LinetypesChanged, AddressOf app_LinetypesChanged
            End If
        ElseIf eventName = "LinetypeItemAdded" Then
            If e.Node.Checked Then
                AddHandler app.LinetypeItemAdded, AddressOf app_LinetypeItemAdded
            Else
                RemoveHandler app.LinetypeItemAdded, AddressOf app_LinetypeItemAdded
            End If
        ElseIf eventName = "LinetypeItemChanged" Then
            If e.Node.Checked Then
                AddHandler app.LinetypeItemChanged, AddressOf app_LinetypeItemChanged
            Else
                RemoveHandler app.LinetypeItemChanged, AddressOf app_LinetypeItemChanged
            End If
        ElseIf eventName = "LinetypeItemDeleting" Then
            If e.Node.Checked Then
                AddHandler app.LinetypeItemDeleting, AddressOf app_LinetypeItemDeleting
            Else
                RemoveHandler app.LinetypeItemDeleting, AddressOf app_LinetypeItemDeleting
            End If
        ElseIf eventName = "LinewidthsChanged" Then
            If e.Node.Checked Then
                AddHandler app.LinewidthsChanged, AddressOf app_LinewidthsChanged
            Else
                RemoveHandler app.LinewidthsChanged, AddressOf app_LinewidthsChanged
            End If
        ElseIf eventName = "LinewidthItemChanged" Then
            If e.Node.Checked Then
                AddHandler app.LinewidthItemChanged, AddressOf app_LinewidthItemChanged
            Else
                RemoveHandler app.LinewidthItemChanged, AddressOf app_LinewidthItemChanged
            End If
        ElseIf eventName = "ShapeSettingsChanged" Then
            If e.Node.Checked Then
                AddHandler app.ShapeSettingsChanged, AddressOf app_ShapeSettingsChanged
            Else
                RemoveHandler app.ShapeSettingsChanged, AddressOf app_ShapeSettingsChanged
            End If

        ElseIf eventName = "ShapeSettingsStyleAdded" Then
            If e.Node.Checked Then
                AddHandler app.ShapeSettingsStyleAdded, AddressOf app_ShapeSettingsStyleAdded
            Else
                RemoveHandler app.ShapeSettingsStyleAdded, AddressOf app_ShapeSettingsStyleAdded
            End If
        ElseIf eventName = "ShapeSettingsStyleChanged" Then
            If e.Node.Checked Then
                AddHandler app.ShapeSettingsStyleChanged, AddressOf app_ShapeSettingsStyleChanged
            Else
                RemoveHandler app.ShapeSettingsStyleChanged, AddressOf app_ShapeSettingsStyleChanged
            End If
        ElseIf eventName = "ShapeSettingsStyleDeleting" Then
            If e.Node.Checked Then
                AddHandler app.ShapeSettingsStyleDeleting, AddressOf app_ShapeSettingsStyleDeleting
            Else
                RemoveHandler app.ShapeSettingsStyleDeleting, AddressOf app_ShapeSettingsStyleDeleting
            End If
        ElseIf eventName = "CurrentShapeSettingsStyleChanged" Then
            If e.Node.Checked Then
                AddHandler app.CurrentShapeSettingsStyleChanged, AddressOf app_CurrentShapeSettingsStyleChanged
            Else
                RemoveHandler app.CurrentShapeSettingsStyleChanged, AddressOf app_CurrentShapeSettingsStyleChanged
            End If
        ElseIf eventName = "MasterDrawComponentAdded" Then
            If e.Node.Checked Then
                AddHandler app.MasterDrawComponentAdded, AddressOf app_MasterDrawComponentAdded
            Else
                RemoveHandler app.MasterDrawComponentAdded, AddressOf app_MasterDrawComponentAdded
            End If
        ElseIf eventName = "MasterDrawComponentDeleting" Then
            If e.Node.Checked Then
                AddHandler app.MasterDrawComponentDeleting, AddressOf app_MasterDrawComponentDeleting
            Else
                RemoveHandler app.MasterDrawComponentDeleting, AddressOf app_MasterDrawComponentDeleting
            End If
        ElseIf eventName = "ShapeAdded" Then
            If e.Node.Checked Then
                AddHandler app.ShapeAdded, AddressOf app_ShapeAdded
            Else
                RemoveHandler app.ShapeAdded, AddressOf app_ShapeAdded
            End If
        ElseIf eventName = "ShapeChanged" Then
            If e.Node.Checked Then
                AddHandler app.ShapeChanged, AddressOf app_ShapeChanged
            Else
                RemoveHandler app.ShapeChanged, AddressOf app_ShapeChanged
            End If
        ElseIf eventName = "ShapeDelete" Then
            If e.Node.Checked Then
                AddHandler app.ShapeDelete, AddressOf app_ShapeDelete
            Else
                RemoveHandler app.ShapeDelete, AddressOf app_ShapeDelete
            End If
        ElseIf eventName = "ApplicationQuit" Then
            If e.Node.Checked Then
                AddHandler app.ApplicationQuit, AddressOf app_ApplicationQuit
            Else
                RemoveHandler app.ApplicationQuit, AddressOf app_ApplicationQuit
            End If
        End If
    End Sub

End Class